package com.sinosig.mybatis.module.po;

import com.sinosig.core.repository.po.SJZDX;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[SJZDX] 对象
 */
@TableName(value = "T_SJZDX",resultMap = "T_SJZDXResultMap")
public class T_SJZDXImpl implements SJZDX,Serializable {

    private String Name;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean NameDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private String Pname;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PnameDirtyFlag;

    /**
     * 数据字典项标识
     */        
    @TableId(value= "sjzdxid",type=IdType.UUID)//指定主键生成策略
    private String SJZDXId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SJZDXIdDirtyFlag;

    private String SJZDXName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SJZDXNameDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private String Code;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CodeDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private String Pcode;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PcodeDirtyFlag;

    private String SJZDId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SJZDIdDirtyFlag;

    /**
     * 获取 [名称]
     */
    public String getName(){
        return Name ;
    }

    /**
     * 设置 [名称]
     */
    public void setName(String  name){
        this.Name = name ;
        this.NameDirtyFlag = true ;
    }
    /**
     * 获取 [名称]脏标记
     */
    @JsonIgnore
    public boolean getNameDirtyFlag(){
        return NameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [父名称]
     */
    public String getPname(){
        return Pname ;
    }

    /**
     * 设置 [父名称]
     */
    public void setPname(String  pname){
        this.Pname = pname ;
        this.PnameDirtyFlag = true ;
    }
    /**
     * 获取 [父名称]脏标记
     */
    @JsonIgnore
    public boolean getPnameDirtyFlag(){
        return PnameDirtyFlag ;
    }

    /**
     * 获取 [数据字典项标识]
     */
    public String getSJZDXId(){
        return SJZDXId ;
    }

    /**
     * 设置 [数据字典项标识]
     */
    public void setSJZDXId(String  sJZDXId){
        this.SJZDXId = sJZDXId ;
        this.SJZDXIdDirtyFlag = true ;
    }
    /**
     * 获取 [数据字典项标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXIdDirtyFlag(){
        return SJZDXIdDirtyFlag ;
    }

    /**
     * 获取 [数据字典项名称]
     */
    public String getSJZDXName(){
        return SJZDXName ;
    }

    /**
     * 设置 [数据字典项名称]
     */
    public void setSJZDXName(String  sJZDXName){
        this.SJZDXName = sJZDXName ;
        this.SJZDXNameDirtyFlag = true ;
    }
    /**
     * 获取 [数据字典项名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXNameDirtyFlag(){
        return SJZDXNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [编号]
     */
    public String getCode(){
        return Code ;
    }

    /**
     * 设置 [编号]
     */
    public void setCode(String  code){
        this.Code = code ;
        this.CodeDirtyFlag = true ;
    }
    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getCodeDirtyFlag(){
        return CodeDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [父编号]
     */
    public String getPcode(){
        return Pcode ;
    }

    /**
     * 设置 [父编号]
     */
    public void setPcode(String  pcode){
        this.Pcode = pcode ;
        this.PcodeDirtyFlag = true ;
    }
    /**
     * 获取 [父编号]脏标记
     */
    @JsonIgnore
    public boolean getPcodeDirtyFlag(){
        return PcodeDirtyFlag ;
    }

    /**
     * 获取 [数据字典标识]
     */
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }
    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return SJZDIdDirtyFlag ;
    }

}